LINUX系统2.4内核升级到2.6内核

页面导航:首页 > 操作系统 > RedHat/Centos > LINUX系统2.4内核升级到2.6内核

LINUX系统2.4内核升级到2.6内核

来源: 作者: 时间:2015-12-19 09:42 【

一. 在升级前必须对以下的组件升级 1. 升级 device-mapper,在 ftp://sources.redhat.com/pub/dm下载cd /usr/src tar -zxvf device-mapper.1.01.04.tgz cd device-mapper.1.01.04 ./configure --perfix=/ make all make install 2. 安
一. 在升级前必须对以下的组件升级 1. 升级 device-mapper,在 ftp://sources.redhat.com/pub/dm下载 cd /usr/src tar -zxvf device-mapper.1.01.04.tgz cd device-mapper.1.01.04 ./configure --perfix=/ make all make install 2. 安

一. 在升级前必须对以下的组件升级
1. 升级 device-mapper,在
cd /usr/src
tar -zxvf device-mapper.1.01.04.tgz
cd device-mapper.1.01.04
./configure --perfix=/
make all
make install

2. LVM2,在
cd /usr/src
tar -zxvf LVM2.2.01.14.tgz
cd LVM2.2.01.14
./configure --perfix=/
make all
make install

3. 升级 mkinitrd 在 下查找
rpm -Uvh mkinitrd-3.5.11-3.9.i386.rpm

4.update modutils 在
cd /usr/src
tar -zxvf modutils-2.4.27.tar.gz
cd modutils-2.4.27
./configure --perfix=/
make all
make install

5.module-init-tools,在 下载
cd /usr/src
tar -zxvf module-init-tools-3.2-pre9.tar.gz
cd module-init-tools-3.2-pre9
./configure --prefix=/
make moveold

ps:"make moveold"将把原来的modutils工具程序改名为"*.old"(比如,lsmod.old等,是非常重要的一步! 如果忘记了这一步也不要紧张, 可以按照上面的步骤4重装一遍modutils就可以了.

make

ps: 用module-init-tools-3.1 编译时会出现 "make: *** [modprobe.conf.5] Error 127"

建议用 3.0 或 3.2-pre 版

make install
./generate-modprobe.conf /etc/modprobe.conf

Tags:

文章评论

最 近 更 新
热 点 排 行
Js与CSS工具
代码转换工具

<